Subject: Re: patch-2.7.3 no longer applies relative symbolic link patches

From: Andreas Gruenbacher <[email-masked]>
Date: Tue, 27 Jan 2015 15:26:01 +0000 (UTC)

On Mon, 26 Jan 2015 12:44:33 -0800, Linus Torvalds wrote:
> I've considered that for a while already, because "patch" _does_ kind of
> understand them these days, although I think it gets the cross-rename
> case wrong because it fundamentally works on a file-by-file basis.

Patch handles cross-renames correctly nowadays; if not, it's a bug.

That's not enough to solve the symlink problem unfortunately.

Andreas